Bug 472162 - Compact the Trash folder it will empty the whole folder in thunderbird
Compact the Trash folder it will empty the whole folder in thunderbird
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 22:49 EST by koka xiong
Modified: 2008-11-25 09:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 18:50:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description koka xiong 2008-11-18 22:49:45 EST
Description of problem:
In thunderbird,create a user account such as kxiong@redhat.com,then compact the trash folder in kxiong@redhat.com,it will empty the whole trash foler

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.16-1.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1.Launch thunderbird
2.Create an account for thunderbird such as kxiong@redhat.com
3.Make sure some emails are in Trash folder of kxiong@redhat.com
4.Compact the Trash folder of kxiong@redhat.com 
Actual results:
Witness the whole Trash folder is empty

Expected results:
The whole Trash folder should not be empty,it should compact this folder.

Additional info:
This works well on thunderbird-1.5.0.12-17.el4 but has problem on 2.0.0.16-1.fc9.x86_64
Comment 1 Matěj Cepl 2008-11-21 18:50:07 EST
What does "Compact folder" does for normal folder? It actually finally eliminates all deleted messages from the folder. That's exactly what it does for Trash folder, except in Trash folder there is nothing else than deleted messages.

Closing as NOTABUG
Comment 2 koka xiong 2008-11-25 01:33:39 EST
hi,Matej Cepl (mcepl@redhat.com)  
In fact,Compact folder only empty messages of first account.
If add another account,compact the trash of new added account will not empty the trash.
Please check it!
Comment 3 Matěj Cepl 2008-11-25 09:15:34 EST
You really want that "Empty Trash" (or "Compact Folder") eliminates all emails from all trashes? Can you imagine what how many bug reports "TB removed my email from other Trash" we would get?

If you want to discuss this, I think you can go to bugzilla.mozilla.org.

Note You need to log in before you can comment on or make changes to this bug.